Skip to main content

GET /dmarc/timeseries/disposition

GET 

dmarc/timeseries/disposition

Retrieve timeseries statistics for DMARC monitored domains grouped by disposition

Query Parameters

records_date_from string Required
Start date for filtering records (e.g., 2025-07-06T00:00:00.000Z)

records_date_to string Required
End date for filtering records (e.g., 2025-08-06T00:00:00.000Z). The difference between records_date_from and records_date_to must not exceed 31 days

domain string
Filter by domain name substring

profile_id string
Filter by profile ID

ip string
Filter by IP address substring

org_name string
Filter by org_name field (Reporter)

ip_org_name string
Filter by ip_org_name field (Source)

disposition string
Filter by disposition (Policy applied)

dmarc_type string
Filter by dmarc_type (DMARC type)

policy_evaluated_reasons_type string
Filter by policy_evaluated_reasons_type (Reason Type)

policy_evaluated_reasons_comment string
Filter by policy_evaluated_reasons_comment (Reason Comment)

with_domains boolean
return all domains for every record

Returns

  • dataarray
    • datestring
      Date of the aggregated data point
    • dispositionstring
      Policy action applied by the receiving server
      Allowed values: threat, compliant
    • countnumber
      Number of records with this disposition on this date
    • domainsarray
      List of domains associated with this disposition
Error Codes

400 Bad Request

Bad Request

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

500 Internal Server Error

Internal server error